# -*- coding: utf-8 -*-
from setuphelpers import *
from setupdevhelpers import *
import glob


def update_package():
    # Declaring local variables
    package_updated = False

    proxies = get_proxies_from_wapt_console()
    if not proxies:
        proxies = get_proxies()

    download_url = "https://angusj.com/pdftkb/pdftkb_setup.exe"
    latest_bin = download_url.split("/")[-1]
    #version
    url_base = "https://angusj.com/pdftkb/"
    response = requests.get(url_base,allow_redirects=True, proxies=proxies)
    # Vérifier que la requête est réussie
    if response.status_code != 200:
        print(f"Erreur lors de la récupération de la page, statut: {response.status_code}")
        return

    # Extraire les balises <td> avec valign="top" pour trouver la version
    divs = bs_find_all(response.text, "td", "valign", "top")
    version = None

    # Rechercher la version dans le contenu des balises
    for div in divs:
        version_text = div.text.strip()
        if version_text and version_text[0].isdigit():  # Vérifier si le texte contient une version
            version = version_text
            break
        


    # Downloading latest binaries
    print("Download URL is: %s" % download_url)
    if not isfile(latest_bin):
        print("Downloading: %s" % latest_bin)
        wget(download_url, latest_bin, proxies=proxies)
        package_updated = True
    else:
        print("Binary is present: %s" % latest_bin)

    # Deleting outdated binaries
    for f in glob.glob("*.exe"):
        if f != latest_bin:
            remove_file(f)

   
    # Mettre à jour le package
    control.set_software_version(version)
    control.save_control_to_wapt()
